> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Identity Mapper Set ID

> Update Identity Mapper Set for a specific Template in the indicated Environment. This API call is designed to support PATCH operations for Mapper Set. <br> <br>
<h2>Notice</h2>Accessing the API calls is through a dedicated domain/URL, according to your PlainID Tenant Location<li><b>United States (US)</b> - `https://api.us1.plainid.io`</li><li><b>Canada (CA)</b> - `https://api.ca1.plainid.io`</li><li><b>Europe (EU)</b> - `https://api.eu1.plainid.io`</li> <br> <h2>Using HTML Encoded Special Characters</h2> <p>Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this <a href="https://www.w3schools.com/tags/ref_urlencode.ASP" target="_blank">HTML URL Encoding Reference</a> for a full list.</p> <br>

## OpenAPI

````json PATCH /api/1.0/identity-templates/{envId}/{identityTemplateId}/mapper-sets/{identityMapperSetId}
{
  "openapi": "3.0.3",
  "info": {
    "title": "Management APIs",
    "version": "1.0.0",
    "contact": {
      "name": "PlainID",
      "url": "https://plainid.com",
      "email": "contact@plainid.com"
    },
    "license": {
      "name": "Commercial",
      "url": "https://plainid.com/license"
    },
    "termsOfService": "https://www.plainid.com/terms/",
    "description": "<h3>The PlainID Authorization Platform provides Management capabilities through the APIs below.</h3><h4> To access the Management APIs, make sure to enter your dedicated domain according to your PlainID Tenant Location:<table><thead><tr><th>Region</th><th>Base URL</th></tr></thead><tbody><tr><td>United States (US)</td><td>https://api.us1.plainid.io</td></tr><tr><td>Canada (CA)</td><td>https://api.ca1.plainid.io</td></tr><tr><td>Europe (EU)</td><td>https://api.eu1.plainid.io</td></tr><tr><td>Local PAA</td><td>https://api.plainid.local</td></tr></tbody></table>"
  },
  "servers": [
    {
      "description": "United States",
      "url": "https://api.us1.plainid.io"
    },
    {
      "description": "Europe",
      "url": "https://api.eu1.plainid.io"
    },
    {
      "description": "Canada",
      "url": "https://api.ca1.plainid.io"
    },
    {
      "description": "Local PAA",
      "url": "https://api.plainid.local"
    }
  ],
  "tags": [
    {
      "name": "access-file-authorizer-oas",
      "description": "access-file-authorizer-oas"
    },
    {
      "name": "authz-packager-oas",
      "description": "authz-packager-oas"
    },
    {
      "name": "SQL Database Authorizer",
      "description": "API for modifying SQL queries based on authorization policies"
    },
    {
      "name": "delegated-admin-oas",
      "description": "delegated-admin-oas"
    },
    {
      "name": "Discovery",
      "description": "Discovery APIs"
    },
    {
      "name": "Enrichment",
      "description": "Enrichment APIs"
    },
    {
      "name": "env-mgmt-oas",
      "description": "env-mgmt-oas"
    },
    {
      "name": "hybrid-commander-oas",
      "description": "hybrid-commander-oas"
    },
    {
      "name": "auth-keys",
      "description": "Auth key operations"
    },
    {
      "name": "components",
      "description": "Component operations"
    },
    {
      "name": "paas",
      "description": "PAA operations"
    },
    {
      "name": "paa-groups",
      "description": "PAA group operations"
    },
    {
      "name": "packages",
      "description": "Package configuration operations"
    },
    {
      "name": "secret-stores",
      "description": "Secret store operations"
    },
    {
      "name": "Table Mapping",
      "description": "Table Mapping"
    },
    {
      "name": "Column Mapping",
      "description": "Column Mapping"
    },
    {
      "name": "Api Mapping",
      "description": "Api Mapping"
    },
    {
      "name": "notifier-oas",
      "description": "notifier-oas"
    },
    {
      "name": "shadow-tracker",
      "description": "Shadow tracker SSE stream"
    },
    {
      "name": "orchestrator-oas",
      "description": "orchestrator-oas"
    },
    {
      "name": "POP",
      "description": "pop operations"
    },
    {
      "name": "org-mgmt-oas",
      "description": "org-mgmt-oas"
    },
    {
      "name": "pip-mgmt-oas",
      "description": "pip-mgmt-oas"
    },
    {
      "name": "monitor-loggers",
      "description": "monitor-loggers"
    },
    {
      "name": "Policy Management APIs",
      "description": "Policy Management APIs"
    },
    {
      "name": "Policy Management APIs 1.0",
      "description": "Policy Management APIs 1.0"
    },
    {
      "name": "Policy Management APIs 2.0",
      "description": "Policy Management APIs 2.0"
    },
    {
      "name": "Policy Building Blocks Management APIs 2.0",
      "description": "Policy Building Blocks Management APIs 2.0"
    },
    {
      "name": "Audit",
      "description": "Audit"
    },
    {
      "name": "Asset Template",
      "description": "Asset Template"
    },
    {
      "name": "Application",
      "description": "Application"
    },
    {
      "name": "Api Mapper",
      "description": "Api Mapper"
    },
    {
      "name": "Identity Template",
      "description": "Identity Template"
    },
    {
      "name": "Identity Sources",
      "description": "Identity Sources"
    },
    {
      "name": "Mapper Sets",
      "description": "Mapper Sets"
    },
    {
      "name": "Identity Template V2",
      "description": "Identity Template V2"
    },
    {
      "name": "PAA Sources",
      "description": "PAA Sources"
    },
    {
      "name": "PAA Views",
      "description": "PAA Views"
    },
    {
      "name": "PAA Groups",
      "description": "PAA Groups"
    },
    {
      "name": "Scope",
      "description": "Managed Scope APIs"
    },
    {
      "name": "Authentication for Management APIs",
      "description": "Authentication for Management APIs"
    },
    {
      "name": "runtime",
      "description": "runtime"
    },
    {
      "name": "Cache Management",
      "description": "Cache invalidation operations for Runtime service"
    }
  ],
  "externalDocs": {
    "url": "https://docs.plainid.io/apidocs/policy-management-apis"
  },
  "paths": {
    "/api/1.0/identity-templates/{envId}/{identityTemplateId}/mapper-sets/{identityMapperSetId}": {
      "patch": {
        "summary": "Update Identity Mapper Set",
        "operationId": "patchMapperSet",
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "description": "Update Identity Mapper Set for a specific Template in the indicated Environment. This API call is designed to support PATCH operations for Mapper Set. <br> <br>\n<h2>Notice</h2>Accessing the API calls is through a dedicated domain/URL, according to your PlainID Tenant Location<li><b>United States (US)</b> - `https://api.us1.plainid.io`</li><li><b>Canada (CA)</b> - `https://api.ca1.plainid.io`</li><li><b>Europe (EU)</b> - `https://api.eu1.plainid.io`</li> <br> <h2>Using HTML Encoded Special Characters</h2> <p>Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this <a href=\"https://www.w3schools.com/tags/ref_urlencode.ASP\" target=\"_blank\">HTML URL Encoding Reference</a> for a full list.</p> <br>",
        "tags": [
          "Mapper Sets"
        ],
        "parameters": [
          {
            "name": "envId",
            "in": "path",
            "required": "true",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "description": "The Environment ID can be found under the Details Tab in the Environment Settings."
          },
          {
            "name": "identityTemplateId",
            "in": "path",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "description": "The Identity Template ID can be found in the Details tab in the Identities Workspace Settings."
          },
          {
            "name": "identityMapperSetId",
            "in": "path",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "description": "The Mapper Set ID can be found in the Identities Workspace Settings under the relevant Mapper Set."
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/PatchMapperSetDto"
                }
              },
              "examples": {
                "Switch Mapper Set ID": {
                  "value": [
                    {
                      "op": "replace",
                      "path": "/mapperSetId",
                      "value": "ms_456"
                    }
                  ]
                }
              }
            }
          },
          "required": "true"
        },
        "responses": {
          "204": {
            "description": "Success - No Content"
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "x-request-id": {
                "schema": {
                  "type": "string"
                },
                "description": "The ID of the request"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "headers": {
              "x-request-id": {
                "schema": {
                  "type": "string"
                },
                "description": "The ID of the request"
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "headers": {
              "x-request-id": {
                "schema": {
                  "type": "string"
                },
                "description": "The ID of the request"
              }
            }
          },
          "404": {
            "description": "Object not found",
            "headers": {
              "x-request-id": {
                "schema": {
                  "type": "string"
                },
                "description": "The ID of the request"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "examples": {
                  "validationError": {
                    "$ref": "#/components/examples/TemplateMapperSetNotFoundError"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-request-id": {
                "schema": {
                  "type": "string"
                },
                "description": "The ID of the request"
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "PatchMapperSetDto": {
        "type": "object",
        "required": [
          "op",
          "path",
          "value"
        ],
        "properties": {
          "op": {
            "type": "string",
            "enum": [
              "replace"
            ]
          },
          "path": {
            "type": "string",
            "enum": [
              "/mapperSetId"
            ]
          },
          "value": {
            "type": "string"
          }
        },
        "x-stoplight": {
          "id": "363k9o08j76ez"
        },
        "x-internal": "true"
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          },
          "details": {
            "type": "string"
          }
        }
      }
    },
    "examples": {
      "TemplateMapperSetNotFoundError": {
        "value": {
          "errors": [
            {
              "code": "EMTMS-001",
              "id": "EQ7CMX",
              "status": "404",
              "name": "TemplateMapperSetNotFoundError",
              "message": "Template Mapper Set: [TMS] not found, Hint: did you mean [User, Target]"
            }
          ]
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": " For more details about Administration API Authentication, check out the Authentication APIs documentation <br> Provide your bearer token in the Authorization header when making requests to protected resources. <br> Example: `Authorization: Bearer 123`"
      }
    }
  }
}
````

